/*
 * Instance header file for ATSAMHA1G17AB
 *
 * Copyright (c) 2021 Microchip Technology Inc. and its subsidiaries.
 *
 * Subject to your compliance with these terms, you may use Microchip software and any derivatives
 * exclusively with Microchip products. It is your responsibility to comply with third party license
 * terms applicable to your use of third party software (including open source software) that may
 * accompany Microchip software.
 *
 * THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY,
 * APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 *
 * IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, INCIDENTAL OR CONSEQUENTIAL
 * LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF
 * MICROCHIP HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE FULLEST EXTENT
 * ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT
 * EXCEED THE AMOUNT OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
 *
 */

/* file generated from device description version 2020-11-19T13:00:12Z */
#ifndef _SAMHA1_TCC3_INSTANCE_
#define _SAMHA1_TCC3_INSTANCE_


/* ========== Instance Parameter definitions for TCC3 peripheral ========== */
#define TCC3_CC_NUM                              _UL_(4)    /* Number of Compare/Capture units */
#define TCC3_DITHERING                           _UL_(1)    /* Dithering feature implemented */
#define TCC3_DMAC_ID_OVF                         _UL_(45)   /* DMA overflow/underflow/retrigger trigger */
#define TCC3_DMAC_ID_MC0                         _UL_(46)   /* DMA Match/Compare 0 trigger */
#define TCC3_DMAC_ID_MC1                         _UL_(47)   /* DMA Match/Compare 1 trigger */
#define TCC3_DTI                                 _UL_(1)    /* Dead-Time-Insertion feature implemented */
#define TCC3_EXT                                 _UL_(31)   /* Coding of implemented extended features */
#define TCC3_GCLK_ID                             _UL_(37)   /* Index of Generic Clock */
#define TCC3_MASTER                              _UL_(0)    
#define TCC3_OTMX                                _UL_(1)    /* Output Matrix feature implemented */
#define TCC3_OW_NUM                              _UL_(8)    /* Number of Output Waveforms */
#define TCC3_PG                                  _UL_(1)    /* Pattern Generation feature implemented */
#define TCC3_SIZE                                _UL_(24)   
#define TCC3_SWAP                                _UL_(1)    /* DTI outputs swap feature implemented */
#define TCC3_TYPE                                _UL_(0)    /* TCC type 0 : NA, 1 : Master, 2 : Slave */
#define TCC3_INSTANCE_ID                         _UL_(88)   

#endif /* _SAMHA1_TCC3_INSTANCE_ */
